## ros-indigo-soem-beckhoff-drivers 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6.3)

project(soem_beckhoff_drivers)
# Set the build type.  Options are:
#  Coverage       : w/ debug symbols, w/o optimization, w/ code-coverage
#  Debug          : w/ debug symbols, w/o optimization
#  Release        : w/o debug symbols, w/ optimization
#  RelWithDebInfo : w/ debug symbols, w/ optimization
#  MinSizeRel     : w/o debug symbols, w/ optimization, stripped binaries
#set(ROS_BUILD_TYPE RelWithDebInfo)

 
# Do setup in case of ros package, If ROS_ROOT is set, it is                                                                                                 # recommended to use RTT/OCL through the ros packages.                                                                                                       
#uncomment if you have defined messages
if(NOT ORO_USE_ROSBUILD)
  find_package(catkin REQUIRED message_generation rtt_roscomm)
  add_message_files( FILES
    AnalogMsg.msg
    CommMsgBig.msg
    CommMsg.msg
    DigitalMsg.msg
    EncoderMsg.msg
    EncoderInMsg.msg
    EncoderOutMsg.msg
    PSUMsg.msg
    )
  
  generate_messages()
endif()
# Set the CMAKE_PREFIX_PATH in case you're not using Orocos through
# ROS for helping these find commands find RTT.
find_package(OROCOS-RTT REQUIRED ${RTT_HINTS} )
# Defines the orocos_* cmake macros. See that file for additional
# documentation.
include(${OROCOS-RTT_USE_FILE_PATH}/UseOROCOS-RTT.cmake)

if(ORO_USE_ROSBUILD)
  rosbuild_genmsg()
  rosbuild_include(rtt_rosnode GenerateRTTtypekit)
endif()

ros_generate_rtt_typekit(soem_beckhoff_drivers)

find_package(soem REQUIRED)
include_directories(${soem_INCLUDE_DIRS})
  
orocos_use_package(soem_master)

orocos_plugin(soem_el1xxx src/soem_beckhoff_drivers.cpp src/soem_el1xxx.cpp)
target_link_libraries(soem_el1xxx ${soem_LIBRARIES})
orocos_plugin(soem_el2xxx src/soem_beckhoff_drivers.cpp src/soem_el2xxx.cpp)
target_link_libraries(soem_el2xxx ${soem_LIBRARIES})
orocos_plugin(soem_el4xxx src/soem_beckhoff_drivers.cpp src/soem_el4xxx.cpp)
target_link_libraries(soem_el4xxx ${soem_LIBRARIES})
orocos_plugin(soem_el3102 src/soem_beckhoff_drivers.cpp src/soem_el3102.cpp)
target_link_libraries(soem_el3102 ${soem_LIBRARIES})
orocos_plugin(soem_el5101 src/soem_beckhoff_drivers.cpp src/soem_el5101.cpp)
target_link_libraries(soem_el5101 ${soem_LIBRARIES})
orocos_plugin(soem_el6022 src/soem_beckhoff_drivers.cpp src/soem_el6022.cpp)
target_link_libraries(soem_el6022 ${soem_LIBRARIES})
orocos_plugin(soem_el30xx src/soem_beckhoff_drivers.cpp src/soem_el30xx.cpp)
target_link_libraries(soem_el30xx ${soem_LIBRARIES})
orocos_plugin(soem_el3104 src/soem_beckhoff_drivers.cpp src/soem_el3104.cpp)
target_link_libraries(soem_el3104 ${soem_LIBRARIES})

if(NOT ORO_USE_ROSBUILD)
  add_dependencies(soem_el1xxx ${PROJECT_NAME}_generate_messages_cpp)
  add_dependencies(soem_el2xxx ${PROJECT_NAME}_generate_messages_cpp)
  add_dependencies(soem_el4xxx ${PROJECT_NAME}_generate_messages_cpp)
  add_dependencies(soem_el3102 ${PROJECT_NAME}_generate_messages_cpp)
  add_dependencies(soem_el5101 ${PROJECT_NAME}_generate_messages_cpp)
  add_dependencies(soem_el6022 ${PROJECT_NAME}_generate_messages_cpp)
  add_dependencies(soem_el30xx ${PROJECT_NAME}_generate_messages_cpp)
  add_dependencies(soem_el3104 ${PROJECT_NAME}_generate_messages_cpp)
endif()
orocos_generate_package()

=== Makefile ===
EXTRA_CMAKE_FLAGS += -DORO_USE_ROSBUILD=True
include $(shell rospack find mk)/cmake.mk

=== debian/changelog ===
ros-indigo-soem-beckhoff-drivers (0.1.1-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Ruben Smits <ruben@intermodalics.eu>  Tue, 27 Jan 2015 10:13:48 -0000

=== debian/control ===
Source: ros-indigo-soem-beckhoff-drivers
Section: misc
Priority: extra
Maintainer: Ruben Smits <ruben@intermodalics.eu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-message-generation, ros-indigo-rtt, ros-indigo-rtt-roscomm, ros-indigo-soem, ros-indigo-soem-master
Homepage: http://wiki.ros.org/soem_master
Standards-Version: 3.9.2

Package: ros-indigo-soem-beckhoff-drivers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-message-runtime, ros-indigo-rtt, ros-indigo-rtt-roscomm, ros-indigo-soem, ros-indigo-soem-master
Description: soem_beckhoff_drivers contains drivers for the ethercat beckhoff modules to work together with the soem_master package, every module creates the necessary services, dataports and properties for its own functionality.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-soem-beckhoff-drivers//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
